Bug 196034 - Alert message in window A makes impossible to operate in window B
Summary: Alert message in window A makes impossible to operate in window B
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 16.12.2
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-11 14:53 UTC by Thomas Domenig
Modified: 2011-04-12 20:01 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Domenig 2009-06-11 14:53:58 UTC
Version:           1.2.1 (using 4.2.2 (KDE 4.2.2), Kubuntu packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.28-11-generic

I experienced this bug by applying following operation:

* I hade two instances of Dolphin opened
* In window A I did a rip operation from CDA to OGG to a NTFS partition
* In window B I did other stuff
* Suddendly I couldn't operate anymore in window B
* It happened to be that there was an alert message in window A placed in the background, which stopped the operability in window B

If it's necessary to disable an instance of Dolphin when an alert message in another instance appears, I would recommend to at least put the instance with the alert message in focus, so the user knows, why he can't operate anymore in instance number two.
Comment 1 Peter Penz 2009-06-11 16:36:41 UTC
I agree. Do you remember what kind of error message was shown in the alert? Per default Dolphin does not show any alerts and forwards the error messages as nonblocking text in the statusbar.
Comment 2 Thomas Domenig 2009-06-11 18:19:18 UTC
At first I've got to mention, that I'm using a German edition of Kubuntu. The error looks like this: "Berechtigungen lassen sich nicht ändern für {Filename}" In the title bar of the alert box stands "Information - Dolphin".
Comment 3 Peter Penz 2011-04-12 20:01:57 UTC
Git commit fff7573ebb910712ad97951bf1762e6a7bb0bdc7 by Peter Penz.
Committed on 12/04/2011 at 20:01.
Pushed by ppenz into branch 'master'.

Let each DolphinMainWindow run in a custom process

A possible crash in one Dolphin window should not result in crashing
other Dolphin windows. Beside this it also prevents issues with
modal dialogs or notifications.

BUG: 269950
BUG: 206053
BUG: 196034
FIXED-IN: 4.7.0

M  +0    -7    dolphin/src/CMakeLists.txt     
M  +45   -62   dolphin/src/dolphinapplication.cpp     
M  +7    -31   dolphin/src/dolphinapplication.h     
M  +117  -135  dolphin/src/dolphinmainwindow.cpp     
M  +6    -8    dolphin/src/dolphinmainwindow.h     
M  +2    -15   dolphin/src/main.cpp     
D  +0    -9    dolphin/src/org.kde.dolphin.Application.xml     
D  +0    -13   dolphin/src/org.kde.dolphin.MainWindow.xml     
M  +2    -1    dolphin/src/settings/dolphinsettingsdialog.cpp     
M  +3    -0    dolphin/src/settings/dolphinsettingsdialog.h     

http://commits.kde.org/kde-baseapps/fff7573ebb910712ad97951bf1762e6a7bb0bdc7